Browse Source

update for mmgen-wallet v14.0.dev22

The MMGen Project 5 months ago
parent
commit
56327412ca

+ 7 - 7
README.md

@@ -8,11 +8,11 @@ Currently tested on Linux only.  Some scripts may not work under Windows/MSYS2.
 
 ## Install:
 
-If installing as user (without venv), Make sure that `~/.local/bin` is in `PATH`.
+If installing as user (without venv), make sure that `~/.local/bin` is in `PATH`.
 
 ### Stable version:
 
-First, install the [required MMGen packages][7] for your Linux distribution:
+First, install the [required MMGen Wallet packages][7] for your Linux distribution:
 
 Then,
 
@@ -20,7 +20,7 @@ Then,
 
 ### Development version:
 
-First, install the latest development version of [MMGen][6].
+First, install the latest development version of [MMGen Wallet][6].
 
 Then,
 
@@ -31,7 +31,7 @@ Then,
 
 ## Test:
 
-*NOTE: the tests require that the MMGen and MMGen Node Tools repositories be
+*NOTE: the tests require that the MMGen Wallet and MMGen Node Tools repositories be
 located in the same directory.*
 
 Initialize the test framework (must be run at least once after cloning, and
@@ -54,6 +54,6 @@ Full testing:
 Donate: 15TLdmi5NYLdqmtCqczUs5pBPkJDXRs83w
 
 [4]: https://bitcointalk.org/index.php?topic=567069.0
-[5]: https://github.com/mmgen/mmgen/wiki/MMGen-Signing-Keys
-[6]: https://github.com/mmgen/mmgen/
-[7]: https://github.com/mmgen/mmgen/wiki/Install-MMGen-on-Linux
+[5]: https://github.com/mmgen/mmgen-wallet/wiki/MMGen-Signing-Keys
+[6]: https://github.com/mmgen/mmgen-wallet/
+[7]: https://github.com/mmgen/mmgen-wallet/wiki/Install-MMGen-on-Linux

+ 2 - 2
mmgen_node_tools/Misc.py

@@ -5,8 +5,8 @@
 # Licensed under the GNU General Public License, Version 3:
 #   https://www.gnu.org/licenses
 # Public project repositories:
-#   https://github.com/mmgen/mmgen https://github.com/mmgen/mmgen-node-tools
-#   https://gitlab.com/mmgen/mmgen https://gitlab.com/mmgen/mmgen-node-tools
+#   https://github.com/mmgen/mmgen-wallet https://github.com/mmgen/mmgen-node-tools
+#   https://gitlab.com/mmgen/mmgen-wallet https://gitlab.com/mmgen/mmgen-node-tools
 
 """
 mmgen_node_tools.Misc: miscellaneous data and functions for the MMGen Node Tools suite

+ 2 - 2
mmgen_node_tools/PeerBlocks.py

@@ -5,8 +5,8 @@
 # Licensed under the GNU General Public License, Version 3:
 #   https://www.gnu.org/licenses
 # Public project repositories:
-#   https://github.com/mmgen/mmgen
-#   https://gitlab.com/mmgen/mmgen
+#   https://github.com/mmgen/mmgen-wallet
+#   https://gitlab.com/mmgen/mmgen-wallet
 
 """
 mmgen_node_tools.PeerBlocks: List blocks in flight, disconnect stalling nodes

+ 2 - 2
mmgen_node_tools/PollDisplay.py

@@ -5,8 +5,8 @@
 # Licensed under the GNU General Public License, Version 3:
 #   https://www.gnu.org/licenses
 # Public project repositories:
-#   https://github.com/mmgen/mmgen
-#   https://gitlab.com/mmgen/mmgen
+#   https://github.com/mmgen/mmgen-wallet
+#   https://gitlab.com/mmgen/mmgen-wallet
 
 """
 mmgen_node_tools.PollDisplay: update and display RPC data; get input from user

+ 2 - 2
mmgen_node_tools/Ticker.py

@@ -5,8 +5,8 @@
 # Licensed under the GNU General Public License, Version 3:
 #   https://www.gnu.org/licenses
 # Public project repositories:
-#   https://github.com/mmgen/mmgen https://github.com/mmgen/mmgen-node-tools
-#   https://gitlab.com/mmgen/mmgen https://gitlab.com/mmgen/mmgen-node-tools
+#   https://github.com/mmgen/mmgen-wallet https://github.com/mmgen/mmgen-node-tools
+#   https://gitlab.com/mmgen/mmgen-wallet https://gitlab.com/mmgen/mmgen-node-tools
 
 """
 mmgen_node_tools.Ticker: Display price information for cryptocurrency and other assets

+ 1 - 1
mmgen_node_tools/data/version

@@ -1 +1 @@
-3.2.dev6
+3.2.dev7

+ 2 - 2
mmgen_node_tools/main_addrbal.py

@@ -5,8 +5,8 @@
 # Licensed under the GNU General Public License, Version 3:
 #   https://www.gnu.org/licenses
 # Public project repositories:
-#   https://github.com/mmgen/mmgen https://github.com/mmgen/mmgen-node-tools
-#   https://gitlab.com/mmgen/mmgen https://gitlab.com/mmgen/mmgen-node-tools
+#   https://github.com/mmgen/mmgen-wallet https://github.com/mmgen/mmgen-node-tools
+#   https://gitlab.com/mmgen/mmgen-wallet https://gitlab.com/mmgen/mmgen-node-tools
 
 """
 mmnode-addrbal: Get balances for arbitrary addresses in the blockchain

+ 2 - 2
mmgen_node_tools/main_ticker.py

@@ -5,8 +5,8 @@
 # Licensed under the GNU General Public License, Version 3:
 #   https://www.gnu.org/licenses
 # Public project repositories:
-#   https://github.com/mmgen/mmgen https://github.com/mmgen/mmgen-node-tools
-#   https://gitlab.com/mmgen/mmgen https://gitlab.com/mmgen/mmgen-node-tools
+#   https://github.com/mmgen/mmgen-wallet https://github.com/mmgen/mmgen-node-tools
+#   https://gitlab.com/mmgen/mmgen-wallet https://gitlab.com/mmgen/mmgen-node-tools
 
 """
 mmnode-ticker: Display price information for cryptocurrency and other assets

+ 6 - 1
setup.cfg

@@ -11,19 +11,24 @@ license      = GNU GPL v3
 platforms    = Linux, Armbian, Raspbian, MS Windows
 keywords     = file: mmgen_node_tools/data/keywords
 project_urls =
+	Website = https://mmgen.org
 	Bug Tracker = https://github.com/mmgen/mmgen-node-tools/issues
 classifiers  =
 	Programming Language :: Python :: 3
 	License :: OSI Approved :: GNU General Public License v3 (GPLv3)
 	Operating System :: POSIX :: Linux
 	Operating System :: Microsoft :: Windows
+	Environment :: Console
+	Topic :: Office/Business :: Financial
+	Topic :: Security :: Cryptography
+	Development Status :: 5 - Production/Stable
 
 [options]
 python_requires = >=3.8
 include_package_data = True
 
 install_requires =
-	mmgen-wallet>=14.0.dev12
+	mmgen-wallet>=14.0.dev22
 	pyyaml
 	yahooquery
 

+ 2 - 2
test/cmdtest_py_d/ct_main.py

@@ -5,8 +5,8 @@
 # Licensed under the GNU General Public License, Version 3:
 #   https://www.gnu.org/licenses
 # Public project repositories:
-#   https://github.com/mmgen/mmgen
-#   https://gitlab.com/mmgen/mmgen
+#   https://github.com/mmgen/mmgen-wallet
+#   https://gitlab.com/mmgen/mmgen-wallet
 
 """
 cmdtest_py_d.ct_main: Basic operations tests for the cmdtest.py test suite

+ 6 - 6
test/init.sh

@@ -31,22 +31,22 @@ done
 
 shift $((OPTIND-1))
 
-mm_repo='../mmgen'
+wallet_repo='../mmgen-wallet'
 
 die()   { echo -e ${YELLOW}ERROR: $1$RESET; false; }
 becho() { echo -e $BLUE$1$RESET; }
 
 check_mmgen_repo() {
-	( cd $mm_repo; python3 ./setup.py --url | grep -iq 'mmgen' )
+	( cd $wallet_repo; python3 ./setup.py --url | grep -iq 'mmgen' )
 }
 
 build_mmgen_extmod() {
-	( cd $mm_repo; python3 ./setup.py build_ext --inplace )
+	( cd $wallet_repo; python3 ./setup.py build_ext --inplace )
 }
 
 create_dir_links() {
 	for link_name in 'mmgen' 'scripts'; do
-		target="$mm_repo/$link_name"
+		target="$wallet_repo/$link_name"
 		if [ -e $link_name ]; then
 			[ $(realpath --relative-to=. $link_name) == $target ] || die "'$link_name' does not point to '$target'"
 		else
@@ -73,7 +73,7 @@ create_test_links() {
 		[ "$path" ] || continue
 		pfx=$(echo $path | sed -r 's/[^/]//g' | sed 's/\//..\//g')
 		symlink_arg=$(if [ $type == 'symbolic' ]; then echo --symbolic; fi)
-		target="$mm_repo/$path"
+		target="$wallet_repo/$path"
 		if [ ! -e "$target" ]; then
 			echo "Target path $target is missing! Cannot proceed"
 			exit 1
@@ -101,7 +101,7 @@ set -e
 
 becho 'Initializing MMGen Node Tools Test Suite'
 
-check_mmgen_repo || die "MMGen repository not found at $mm_repo!"
+check_mmgen_repo || die "MMGen Wallet repository not found at $wallet_repo!"
 
 build_mmgen_extmod
 

+ 2 - 2
test/overlay/fakemods/mmgen_node_tools/PeerBlocks.py

@@ -5,8 +5,8 @@
 # Licensed under the GNU General Public License, Version 3:
 #   https://www.gnu.org/licenses
 # Public project repositories:
-#   https://github.com/mmgen/mmgen
-#   https://gitlab.com/mmgen/mmgen
+#   https://github.com/mmgen/mmgen-wallet
+#   https://gitlab.com/mmgen/mmgen-wallet
 
 """
 fakemods.mmgen_node_tools.PeerBlocks: List blocks in flight, disconnect stalling nodes - test data